%global momorel 10

Summary:        IRQ balancing daemon.
Name:           irqbalance
Version:        0.55
Release:        %{momorel}m%{?dist}
Epoch:          1
Group:          System Environment/Base
License:        "GPL/OSL"
Source0: http://www.irqbalance.org/releases/irqbalance-%{version}.tar.gz 
NoSource: 0
Source1:        irqbalance.init
Source2:        irqbalance.sysconfig
Source3:        irqbalance.1
Patch0: 	irqbalance-pie.patch
Patch1: 	irqbalance-0.55-cputree-parse.patch
Patch2: 	irqbalance-0.55-pid-file.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       initscripts
Requires(preun): chkconfig
Requires(post): chkconfig
Requires(triggerpostun): chkconfig
ExclusiveArch:	%{ix86} x86_64 ia64
Obsoletes:      kernel-utils

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q -c -a 0

#%%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/sysconfig

cd irqbalance-%{version}
make

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}

cd irqbalance-%{version}
install irqbalance  %{buildroot}/usr/sbin
install %{SOURCE1} %{buildroot}/etc/init.d/irqbalance
install %{SOURCE2} %{buildroot}/etc/sysconfig/irqbalance
install %{SOURCE2} %{buildroot}/usr/share/man/man1/

chmod -R a-s %{buildroot}

%clean
[ "%{buildroot}" != "/" ] && [ -d %{buildroot} ] && rm -rf %{buildroot};

%post
/sbin/chkconfig --add irqbalance

%preun
if [ "$1" = "0" ] ; then
 /sbin/chkconfig --del irqbalance
fi

%triggerpostun -- kernel-utils
/sbin/chkconfig --add irqbalance
exit 0


%files
%defattr(-,root,root)
%{_sbindir}/irqbalance
%attr(0644,root,root) %{_mandir}/*/*
%{_initscriptdir}/irqbalance
%attr(0644,root,root) /etc/sysconfig/irqbalance

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1:0.55-10m)
- full rebuild for mo7 release

* Thu Aug 19 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1:0.55-9m)
- add epoch to %%changelog

* Sun Apr 25 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1:0.55-8m)
- use Requires

* Sun Nov 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1:0.55-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1:0.55-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1:0.55-5m)
- rebuild against gcc43

* Thu Mar  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1:0.55-4m)
- import fedora patches

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1:0.55-3m)
- %%NoSource -> NoSource

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1:0.55-2m)
- add Epoch: 1 for upgrading from STABLE_3

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.55-1m)
- update 0.55

* Sat May 20 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12-1m)
- import from fc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild with gcc4

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Build as pie, also -D_FORTIFY_SOURCE=2

* Tue Jan 11 2005 Dave Jones <davej@redhat.com>
- Add missing Obsoletes: kernel-utils.

* Mon Jan 10 2005 Dave Jones <davej@redhat.com>
- Start irqbalance in runlevel 2 too. (#102064)

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based on kernel-utils.

